PHP Manual
Prev |  | Next

# ps_arc

(PECL)

ps_arc -- Draws an arc counterclockwise

## Description

bool ps_arc ( resource psdoc, float x, float y, float radius, float alpha, float beta )

Draws a portion of a circle with at middle point at (x, y). The arc starts at an angle of alpha and ends at an angle of beta. It is drawn counterclockwise (use ps_arcn() to draw clockwise). The subpath added to the current path starts on the arc at angle alpha and ends on the arc at angle beta.

## Parameters

psdoc

  Resource identifier of the postscript file as returned by ps_new().

x

  The x-coordinate of the circle's middle point.

y

  The y-coordinate of the circle's middle point.

radius

  The radius of the circle

alpha

  The start angle given in degrees.

beta

  The end angle given in degrees.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

ps_arcn()

Prev | Home | Next
ps_add_weblink | Up | ps_arcn